Subject: Aquaculture

From: John Ellis <[email-masked]>
Date: Mon, 19 Jan 1998 13:18:27 -0800 (PST)

Hi, My name is John Ellis, a Junior at Cuba High School in
Illinois. I got your address off the internet and I am wondering if
you could help me out a little bit. I am the FFA aquaculture manager
for our school and I am going in front of a our board and need more
info for my speech. I was just wondering if you could give me some
common knowledge on an aquaculture room. If you could send as soon as
possible. thank you very much.

                                   sincerly,
                                   JOHN ELLIS
                                   CUBA FFA

_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com